/* @import "event.css"; */

/* .event:has(.cancelled) section > aside,
.event:has(.cancelled) section > aside ~ p,
.event:has(.cancelled) section .contentbuttons {
    filter: grayscale(1);
    opacity: .5;
} */


.event section:has(.cancelled) *:not(.cancelled):not(.date) {
    filter: grayscale(100%) /*sepia(100%) hue-rotate(320deg)*/;
    opacity: .75;
    pointer-events: none;
}

.event section:has(.cancelled) .cancelled ~ h1 {
    text-decoration: line-through;
}

/* Padding der zweiten Spalte korrigieren */
section > div > article > ul > li {
  /* padding: 3.95% 0 4% 0; */
  padding: 1% 0 4% 0;
}

/* Padding der zweiten Spalte korrigieren */
section > div > article > ul > li > section:last-child {
  padding: 5% 5% 0 0;
}

section > div > article > ul > li a:not(.privacy-link) {
    width: 100%;
}

section > div > article > ul > li > section:last-child > aside {
  margin: .8% 5% 2% 0;
}

section > div > article ul.contentbuttons ~ h3 {
  margin: 0 0 2% 0;
}

.recurrences {
  margin: 0 0 2% 0;
}


/* Höhen ausgleichen */
section > div,
section > div > article,
section > div > article > ul {
    height: 100%;
}


section > div > div,
section > div > article {
    box-shadow: inset 0 10px 5px -10px rgba(50, 50, 50, 0.75),
                      0 4px 4px rgba(50, 50, 50, 0.3);
}


/* ············································································· */


@media screen and (max-width: 640px) {

    /* Padding der zweiten Spalte korrigieren */
    section > div > article > ul > li {
    padding: 1% 2% 4% 2%;
    }

    /* Padding der zweiten Spalte korrigieren */
    section > div > article > ul > li > section:last-child {
        padding: 5% 0 0 0;
    }

    section > div > article > ul > li > section:last-child > aside {
        margin: .8% 0 2% 0;
    }
}

/* ············································································· */


nav .navigation ul li a {
    padding: 10px 20px 10px 20px;
}

nav .navigation {
  width: 100%;
  /* background: red; */
}

nav .navigation ul li {
    flex: auto;
}

nav .navigation > ul > li > a.sub1::after,
nav .navigation > ul > li > ul > li > a.sub2::after {
    transform-origin: center center;
    transform: rotate(0);
    /* background-color: #a4c158; */
    top: -1px;
    left: 16px;
    width: 10px;
    height: unset;
}

nav .navigation > ul > li:hover > a.sub1::after/*,
nav .navigation > ul > li > ul > li:hover > a.sub2::after*/ {
    transform: rotate(90deg);
}

nav .navigation > ul > li > ul > li > a.sub2::after {
    margin-left: 0;
    margin-right: 20px;
}

nav .navigation > ul > li > ul > li > ul {
  /* margin: -70px 0 0 100%; */
  margin: -50px 0 0 100%;
}

nav .navigation > ul > li > ul > li > a {
    padding-left: 20px;
}

section.search {
    flex-basis: 40%;
    transition: all 250ms;
}

section.search:focus-within {
    flex-basis: 100%;
}

section.search form {
    flex: auto;
    /* padding-left: 20px; */
    padding-right: 0;
}

section.search form input[type="text"] {
    flex: auto;
    padding-left: 20px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

section.search form input[type="text"],
section.search form button[type="submit"] {
    height: 52px;
}

section.search form input[type="text"] {
    width: calc(100% - 50px);
}

section.search form button[type="submit"] {
    width: 50px;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    background: #a4c158 url('../images/search.svg') no-repeat center center / 16px;
}

/* ············································································· */


@media screen and (max-width: 1279px) {

    section.search form {
        width: 100%;
        padding-left: 0;
        padding-right: 0;
    }

    section.search form input[type="text"] {
        padding-left: 20px;
        padding-right: 20px;
    }

}

/* ············································································· */


#showhide {
    background: #7b2e24; /* rotbraun */
    padding: 20px 20px;
    /*border-bottom: 1px solid #9c544b; /* Helleres Rotbraun */
    display: flex;
}

#showhide {
    width: 0;
    margin: 0;
    padding: 0;
}

#showhide .toggle-navigation, 
#showhide > p {
    display: none;
}

#showhide > p {
    margin-left: 0;
}

#showhide > p a {
    display: block;
    padding: 20px 0; /* Klickfläche vertikal erweitern */
    color: white;
}

a.vorschau {
  text-align: center;
}

a.vorschau::after {
  position: relative;
  margin-left: .7em;
  opacity: .8;
  display: inline-block;
}

.calendar-wrapper {
    width: 100%;
    max-width: 356px; /* 480px */ /* Breite der Felder nun 50x50 */
    display: none; /* block */
    position: fixed;
    z-index: 1000;
    top: 200px;
    right: 0;
}

/* ············································································· */


@media screen and (max-width: 800px) {

    nav .navigation ul li a {
      padding: 20px;
    }

    nav .navigation > ul > li > ul > li > ul {
      margin: 0;
    }

    nav .navigation ul li ul li a {
      padding: 20px 40px;
    }

    #showhide {
        width: 100%;
        padding: 0 16px 0 20px;
        justify-content: space-between;
        gap: 20px;
    }

    #showhide .toggle-navigation, 
    #showhide > p {
        display: block;
    }

    .navigation {
        display: none;
    }

}

/* ············································································· */


@media screen and (max-width: 640px) {
    
    /* Wieder in den Flow einbinden */
    .toggle-calendar {
        position: static;
        background-color: transparent;
        padding: 0 !important;
        width: 32px;
        height: 32px;
        background-size: 32px !important;
    }
    
    /* Wieder in den Flow einbinden */
    .calendar-wrapper {
        width: 100%;
        max-width: none;
        position: static;
        z-index: unset;
    }
}

/* ············································································· */


@media screen and (max-width: 480px) {
    

}

/* ············································································· */


